Package org.eclipse.ecf.filetransfer.service

# Interface IRemoteFileSystemBrowserFactory

All Known Implementing Classes:
  `HttpClientBrowseFileTransferFactory`, `HttpClientBrowseFileTransferFactory`

public interface IRemoteFileSystemBrowserFactory
Remote file browser factory. This service interface is used by clients to create a new IRemoteFileSystemBrowser instance.

## Method Summary

Modifier and Type
Method
Description
`IRemoteFileSystemBrowser`
`newInstance()`
Get new instance of IRemoteFileSystemBrowser.

## Method Details

### newInstance

IRemoteFileSystemBrowser newInstance()
Get new instance of IRemoteFileSystemBrowser.

Returns:
  IRemoteFileSystemBrowser for initiating a retrieval of a remote file.